%global file_name org.gnome.Games

Name:           gnome-games
Version:        3.32.1
Release:        3%{?dist}
Summary:        Browse and play your games - all of them

License:        GPLv3+
URL:            https://wiki.gnome.org/Apps/Games
Source0:        https://download.gnome.org/sources/gnome-games/3.32/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson >= 0.46.1
BuildRequires:  vala
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.38.0
BuildRequires:  pkgconfig(grilo-0.3)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libhandy-0.0) >= 0.0.8
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(retro-gtk-0.14) >= 0.15.3
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(tracker-sparql-2.0)

%if 0%{?fedora} >= 30
BuildRequires:  pkgconfig(manette-0.2)
%endif

Requires:       hicolor-icon-theme

%description
Games is a GNOME application to browse your video games library and to easily
pick and play a game from it.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}
%fdupes %{buildroot}%{_datadir}/%{name}
# Remove executable bit from AUTHORS and COPYING files
find %{buildroot}%{_datadir} -executable -type f -exec chmod -x {} +

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{file_name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{file_name}.desktop

%files -f %{name}.lang
%doc README AUTHORS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/%{name}/options
%{_datadir}/applications/%{file_name}.desktop
%{_datadir}/glib-2.0/schemas/%{file_name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{file_name}*
%{_libdir}/%{name}
%{_libdir}/%{name}/plugins
%{_metainfodir}/%{file_name}.appdata.xml

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.32.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Apr 15 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 3.32.1-2
- Initial package
